﻿/**
 * Normal carousel cells settings
 * Настройки ячеек карусели обычного размера
 */
{
  // Definitions
  // Шаблоны
  "def": {
    // Text fields shadow.
    // Тень текстовых полей.
    "textFieldShadow": { "enabled": true, "color": "0x000000", "alpha": 80, "blur": 2, "strength": 2, "distance": 0, "angle": 0 }
  },
  "normal": {
    // Cell width
    // Ширина ячейки
    "width": 160,
    // Cell height
    // Высота ячейки
    "height": 100,
    // Spacing between carousel cells.
    // Отступ между ячейками карусели.
    "gap": 7,
    // Standard cell elements.
    // Стандартные элементы ячеек.
    "fields": {
      // "enabled"  - the visibility of the element / видимость элемента
      // "dx"       - horizontal shift              / смещение по горизонтали
      // "dy"       - vertical shift                / смещение по вертикали
      // "alpha"    - transparency                  / прозрачность
      // "scale"    - scale                         / масштаб
      //
      // Nation flag.
      // Флаг нации.
      "flag": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle icon.
      // Иконка танка.
      "tankIcon": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle class icon.
      // Иконка типа техники.
      "tankType": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle level.
      // Уровень техники
      "level":    { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Double XP icon
      // Иконка не сбитого опыта за первую победу в день.
      "xp":       { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle name.
      // Название танка.
      "tankName": { "enabled": false, "dx": 0, "dy": 0, "alpha": 100, "scale": 1, "textFormat": {}, "shadow": {} },
      // Vehicle rent info text.
      // Инфо текст аренды танка.
      "rentInfo": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1, "textFormat": {}, "shadow": {} },
      // Info text (Crew incomplete, Repairs required)
      // Инфо текст (Неполный экипаж, Требуется ремонт).
      "info":     { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1, "textFormat": {}, "shadow": {} },
      // Info image
      // Инфо иконка
      "infoImg":  { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Info text for "Buy vehicle" and "Buy slot" slots.
      // Инфо текст для слотов "Купить машину" и "Купить слот".
      "infoBuy":  { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1, "textFormat": {}, "shadow": {} },
      // Clan lock timer
      // Таймер блокировки танка
      "clanLock": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Price
      // Цена
      "price":    { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Action price
      // Акционная цена
      "actionPrice": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Favorite vehicle mark
      // Маркер основной техники
      "favorite": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Stats field that appears on the mouse hover
      // Поле статистики, отображаемое при наведении мыши
      "stats": { "enabled": false, "dx": 0, "dy": 0, "alpha": 100, "textFormat": {}, "shadow": {} }
    },
    // Extra cell fields (extended format supported, see extra-field.txt).
    // Дополнительные поля ячеек (поддерживается расширенный формат, см. extra-field.txt).
    "extraFields": [
	  // square boarder start
	  //{ "x": -2, "y": -1, "h": 2, "w": "164", "bgColor": "0xFF6A00", "alpha": 100 },
	  //{ "x": -2, "y": 100, "h": 2, "w": "164", "bgColor": "0xFF6A00", "alpha": 100 },
	  //{ "x": -1, "y": 0, "h": 100, "w": "2", "bgColor": "0xFF6A00", "alpha": 100 },
	  //{ "x": 160, "y": 0, "h": 100, "w": "2", "bgColor": "0xFF6A00", "alpha": 100 },
	  //1st row left down (tank name)
	  { "x": -1, "y": 78, "format": "<img src='xvm://res/raiden/carousel/fon_l.png' width='65' height='18'>", "alpha": "{{v.name?100|0}}" },
	  { "x": 2, "y": 81, "h": 15, "w": 158, "bgColor": 0, "alpha": 60 },
	  { "x": 1, "y": 78, "align": "left", "format": "<font face='$FieldFont' color='#ffffff' size='14'>{{v.name}}</font>", "alpha": "{{v.premium?0|100}}" , "shadow": {"blur":8, "color": "0x545341", "strength": 3} },
	  { "x": 1, "y": 78, "align": "left", "format": "<font face='$FieldFont' color='#DB834C' size='14'>{{v.name}}</font>", "alpha": "{{v.premium?100|0}}" , "shadow": {"blur":8, "color": "0x581300", "strength": 4} },
	  //middle row right (Crew incomplete)
      { "x": 73, "y": 81, "format": "<b><font  size='11' face='$FieldFont' color='{{v.c_damageRating}}'>{{v.damageRating%-2.2f~%}}</font></b>" , "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance":0, "angle": 0 }},
	  { "x": 126, "y": 69, "h": 38, "w": "43", "src": "xvm://res/raiden/carousel/vehicle_type/{{v.type}}_{{v.elite}}.png", "alpha": "{{v.elite?100|0}}" },
	  { "x": 125, "y": 69, "h": 40, "w": "45", "src": "xvm://res/raiden/carousel/vehicle_type/{{v.type}}.png", "alpha": "{{v.elite?0|100}}" },
	  { "x": 106, "y": 78, "format": "<img src='xvm://res/raiden/carousel/{{v.nation}}_{{v.marksOnGun}}.png' width='50' height='20'>"},
	  //1st row left up
	  //{ "x": -1, "y": -1, "format": "<img src='xvm://res/raiden/carousel/fon_l.png' width='65' height='18'>", "alpha": "{{v.mastery?100|0}}" },
	  { "x": 43, "y": -1, "align": "left", "format": "<font color='#ffffff' size='14'>{{v.battletiermin}}-{{v.battletiermax}}</font>" },
	  { "x": 135, "y": 19, "h": 24, "w": "24", "src": "xvm://res/raiden/proficiency/class_icons_{{v.mastery}}.png" },
	  
	  { "x": -1, "y": 20, "format": "<img src='xvm://res/raiden/carousel/fon_l.png' width='65' height='18'>", "alpha": "{{v.winrate?100|0}}" },
	  { "x": -6, "y": 20, "h": 22, "w": "28", "src": "xvm://res/raiden/dossier/wins40x32.png", "alpha": "{{v.winrate?100|0}}" },
	  { "x": 20, "y": 21, "align": "left", "format": "<font color='{{v.c_winrate}}' size='12'><b>{{v.winrate%.02f}}%<b></font>", "alpha": "{{v.winrate?100|0}}" },

	  { "x": -1, "y": 60, "format": "<img src='xvm://res/raiden/carousel/fon_l.png' width='65' height='18'>", "alpha": "{{v.hitsRatio?100|0}}" },
	  { "x": -7, "y": 60, "h": 22, "w": "28", "src": "xvm://res/raiden/dossier/hits40x32.png", "alpha": "{{v.hitsRatio?100|0}}" },
	  { "x": 20, "y": 61, "align": "left", "format": "<font color='{{v.c_hitsRatio}}' size='12'><b>{{v.hitsRatio%.02f}}%</b></font>", "alpha": "{{v.hitsRatio?100|0}}" },

      // Battles count
      // Количество боёв
      {
        "enabled": true,
	    "x": -1, "y": 40, "format": "<img src='xvm://res/raiden/carousel/fon_l.png' width='65' height='18'>", "alpha": "{{v.battles?100|0}}",
		"x": -6, "y": 40, "align": "left", "width": 28, "height": 22, "alpha": "{{v.battles?|0}}",
        "src": "xvm://res/raiden/dossier/battles40x32.png"
      },
	  {
        "enabled": true,
        "x": 20, "y": 41, "align": "left",
        "format": "<b><font face='$FieldFont' size='12' color='#CFCFCF' alpha='#F0'>{{v.battles}}</font></b>",
        "shadow": ${ "def.textFieldShadow" }
      }
    ]
  }
}
